unit Unit2;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, Vcl.StdCtrls,
  Vcl.ExtCtrls, VCLTee.TeEngine, VCLTee.Series, VCLTee.TeeProcs, VCLTee.Chart;

type
  TForm2 = class(TForm)
    Image1: TImage;
    Button2: TButton;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure ChartGetAxisLabel(Sender: TChartAxis; Series: TChartSeries;
        ValueIndex: Integer; var LabelText: string);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.Button1Click(Sender: TObject);
var
  Chart: TChart;
  Rect: TRect;
begin
  Chart := TChart.Create(Self);
  Chart.View3D := False;
  Chart.AddSeries(TBarSeries.Create(Chart));
  Chart.SeriesList[0].FillSampleValues(48);
  Rect := Image1.ClientRect;
  Chart.Draw(Image1.Canvas, Rect);
  Chart.Free;
  Image1.Refresh;
end;

procedure TForm2.Button2Click(Sender: TObject);
var
  Chart: TChart;
  Rect: TRect;
begin
  Chart := TChart.Create(Self);
  Chart.View3D := False;
  Chart.BottomAxis.LabelStyle := talText;
  Chart.OnGetAxisLabel := ChartGetAxisLabel;
  Chart.AddSeries(TBarSeries.Create(Chart));
  Chart.SeriesList[0].FillSampleValues(48);
  Rect := Image1.ClientRect;
  Chart.Draw(Image1.Canvas, Rect);
  Chart.Free;
  Image1.Refresh;
end;

procedure TForm2.ChartGetAxisLabel(Sender: TChartAxis; Series: TChartSeries;
    ValueIndex: Integer; var LabelText: string);
begin
  if Sender.Horizontal and (ValueIndex <> -1) then
    LabelText := 'Idx '+IntToStr(ValueIndex);
end;

end.
